# Form implementation generated from reading ui file 'src/eric7/PluginManager/PluginInfoDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_PluginInfoDialog(object):
    def setupUi(self, PluginInfoDialog):
        PluginInfoDialog.setObjectName("PluginInfoDialog")
        PluginInfoDialog.resize(800, 600)
        PluginInfoDialog.setSizeGripEnabled(True)
        self.vboxlayout = QtWidgets.QVBoxLayout(PluginInfoDialog)
        self.vboxlayout.setObjectName("vboxlayout")
        self.label = QtWidgets.QLabel(parent=PluginInfoDialog)
        self.label.setWordWrap(True)
        self.label.setObjectName("label")
        self.vboxlayout.addWidget(self.label)
        self.pluginList = QtWidgets.QTreeWidget(parent=PluginInfoDialog)
        self.pluginList.setAlternatingRowColors(True)
        self.pluginList.setRootIsDecorated(False)
        self.pluginList.setItemsExpandable(False)
        self.pluginList.setAllColumnsShowFocus(True)
        self.pluginList.setObjectName("pluginList")
        self.vboxlayout.addWidget(self.pluginList)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=PluginInfoDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.vboxlayout.addWidget(self.buttonBox)

        self.retranslateUi(PluginInfoDialog)
        self.buttonBox.accepted.connect(PluginInfoDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(PluginInfoDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(PluginInfoDialog)
        PluginInfoDialog.setTabOrder(self.pluginList, self.buttonBox)

    def retranslateUi(self, PluginInfoDialog):
        _translate = QtCore.QCoreApplication.translate
        PluginInfoDialog.setWindowTitle(_translate("PluginInfoDialog", "Loaded Plugins"))
        self.label.setText(_translate("PluginInfoDialog", "Double-Click an entry to show detailed info. Plugins with an error are shown in red."))
        self.pluginList.setWhatsThis(_translate("PluginInfoDialog", "<b>Plugin List</b><p>This lists all loaded plugins. Double-clicking an entry shows more detailed information in a separate dialog.</p>"))
        self.pluginList.setSortingEnabled(True)
        self.pluginList.headerItem().setText(0, _translate("PluginInfoDialog", "Module"))
        self.pluginList.headerItem().setText(1, _translate("PluginInfoDialog", "Name"))
        self.pluginList.headerItem().setText(2, _translate("PluginInfoDialog", "Version"))
        self.pluginList.headerItem().setText(3, _translate("PluginInfoDialog", "Autoactivate"))
        self.pluginList.headerItem().setText(4, _translate("PluginInfoDialog", "Active"))
        self.pluginList.headerItem().setText(5, _translate("PluginInfoDialog", "Description"))
